export declare module ODataParser {
    /**
     * Evaluates the OData filter on the passed in object.
     *
     * @param filter The OData filter string e.g. $filter='subscriptionId eq 'sub1''.
     * @param obj The object array on which the filter is applied.
     * @return The filtered object array.
     */
    function evaluate<T>(filter: string, obj: T[]): T[];
}
