export declare module Utilities {
    /**
     * Returns a GUID such as xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx.
     *
     * @return New GUID.
     */
    function newGuid(separator?: string): string;
    /**
     * Helper to clone an object.
     */
    function clone(obj: any): any;
    /**
     * Helper to iterate over all keys in an ovject.
     */
    function forEachKey<T>(obj: any, iterator: (key: any, value: T) => void): void;
    /**
     * Helper to find an item in an array.
     */
    function findInArr<T>(arr: T[], callbackFn: (item: T) => boolean): T;
}
