import * as html5 from "../../Helpers/html5";
import StringMap = html5.StringMap;
export interface EventData {
    correlationId?: string;
    description?: string;
    eventChannels: string;
    eventDataId?: string;
    eventName?: LocalizableString;
    eventSource?: LocalizableString;
    eventTimestamp: string;
    id: string;
    level?: string;
    operationId?: string;
    operationName?: LocalizableString;
    properties?: StringMap<string>;
    resourceGroupName: string;
    resourceProviderName: LocalizableString;
    resourceUri: string;
    status: LocalizableString;
    submissionTimestamp?: string;
    subscriptionId: string;
    subStatus?: LocalizableString;
}
export interface LocalizableString {
    localizedValue?: string;
    value: string;
}
