﻿(function() {
    function getBaseNetHook(hostName, localServerPort) {
        var hostNameUpperCase = hostName.toUpperCase();
        var proxyHost = "localhost:" + localServerPort;

        return function(baseNetOptions) {
            var anchor = document.createElement("a");
            var href = anchor.href = baseNetOptions.url;

            if (href.toUpperCase().indexOf(hostNameUpperCase) === 8) {
                anchor.host = proxyHost;
                anchor.protocol = "https:";
                baseNetOptions.url = baseNetOptions.uri = anchor.href;
            }

            return MsPortalFx.Helpers.ajax(baseNetOptions);
        };
    }

    MsPortalFx.Base.Net2.setAjaxFunc(getBaseNetHook("HOST_NAME", "LOCAL_SERVER_PORT"));
})();
